xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::namedparams Class Reference

Wrapper around a variable number of name/value pairs. More...

`#include <xmltooling/exceptions.h>`

Inheritance diagram for xmltooling::namedparams:

## Public Member Functions
| namedparams ()
| Initializes with zero parameters.
| namedparams (int count,...)
| Initializes the named parameter set. More...
Public Member Functions inherited from xmltooling::params
| params ()
| Initializes with zero parameters.
| params (int count,...)
| Initializes the parameter set. More...
const std::vector< const char * > & | get () const
| Returns an immutable reference to the set of parameters. More...

## Additional Inherited Members
Protected Attributes inherited from xmltooling::params
std::vector< const char * > | v
| Contains the parameters being passed. More...

## Detailed Description

Wrapper around a variable number of name/value pairs.

## Constructor & Destructor Documentation

xmltooling::namedparams::namedparams | ( | int | count,
|  |  | ...
| ) |  |

Initializes the named parameter set.

Parameters

  count | the number of name/value pairs that follow (must be even)

The documentation for this class was generated from the following file:

- xmltooling/exceptions.h